How to fogure out additional packages asterisk-1.6.10

Deal All

I have a very basic question i.e how i can dertermine what Dahdi ,lipri and addons pakages are compatible with asterisk-1.6.10 OR can i download and use any version of dahdi,lipri and addons???

Thanks